Bug 121526 - Installer fails to detect hard disks.
Installer fails to detect hard disks.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
http://www.redhat.com/archives/fedora...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-22 09:36 EDT by Thom May
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 16:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom May 2004-04-22 09:36:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040414 Epiphany/1.2.1

Description of problem:
Boot FC2 Test 2 installer. Installer correctly detects video card,
monitor etc and proceeds to "Disk Partitioning Setup". 
Select either automatic or manual using Disk Druid.
Anaconda produces an error box "No Drives Found".
Clicking "OK" reboots and the bios correctly reports one hard disk found.

The URL above describes another report of this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot FC2 T2
2. Get to Disk Partitioning Setup.
3. Fail to detect disks
    

Actual Results:  No disks detected, Anaconda reboots

Expected Results:  hda detected, partitions created, install
completes, don't have to be unproductive in windows

Additional info:


Hardware is AMD64 3000+; on gigabyte GA-K8N nforce3 motherboard,
generic IDE hard disk (which windows correctly installs on).

dmesg reports that hdc (DVD drive) and hdd (cdrw) were detected, no
sign of the HDD on /dev/hda.

lspci says 00:08.0 is the IDE controller:
lspci -v -n -s 00:08
00:08.0 Class 0101: 10de:00d5 (rev a5) (prog-if 8a [Master SecP PriP])
   Subsytem: 1458:5002
   Flags: bus master, 66Mhz, fast devsel, latency 0
   I/O ports at f000 [size=16]
   Capabilities: [44] Power Management version 2
Comment 1 Jeremy Katz 2004-04-22 16:47:40 EDT
This should be fixed in test3
Comment 2 Thom May 2004-04-28 06:20:38 EDT
Just to confirm that I just installed test3 on this machine fine.

Note You need to log in before you can comment on or make changes to this bug.